schema_version: mapper-os/executable-blueprint
execution_start: BUILDPRINT.md
machine_contract: blueprint.yaml
source:
  input: /root/MiroFish
  checkout_path: /root/MiroFish
  commit: fa0f6519b10c4a25b78f1bcc1f00dfcd8bf1ab41
generated_at: 2026-05-28 17:30:00+02:00
claim_status: PROOF_REQUIRED
blueprint_mode:
  primary: product
  secondary:
  - ui
  - api
  - worker
  - provider
  - data
  - deployment
  phase_style: outcome_flow
setup_gate:
  questions: 01-questions.md
  project_setup: 02-project-setup.md
  required_before_phases: true
implementation_loop:
  required: true
  steps:
  - observe
  - plan
  - execute
  - verify
  - reflect
  - record
  completion_requires:
  - proof_gate_passed
  - evidence_recorded
repair_loop:
  on_failure:
    test_failed: current_phase
    build_failed: current_phase
    runtime_error: current_phase
    ui_quality_failed: current_phase
    proof_gate_failed: current_phase
    architecture_contradiction: 02-project-setup.md
    missing_human_preference: 01-questions.md
    missing_dependency_phase: required_prior_phase
    external_blocker: .buildprint/evidence/evidence-ledger.jsonl
phases:
- phase_id: 01-seed-ontology-workbench
  title: Seed Intake And Ontology Workbench
  file: 03-phases/01-seed-ontology-workbench.md
  status: INCLUDED_NEEDS_PROOF
- phase_id: 02-graph-memory-build
  title: Graph Memory Build And Explorer
  file: 03-phases/02-graph-memory-build.md
  status: INCLUDED_NEEDS_PROOF
- phase_id: 03-simulation-environment
  title: Simulation Environment Preparation
  file: 03-phases/03-simulation-environment.md
  status: INCLUDED_NEEDS_PROOF
- phase_id: 04-simulation-run-observability
  title: Simulation Run And Observability
  file: 03-phases/04-simulation-run-observability.md
  status: INCLUDED_NEEDS_PROOF
- phase_id: 05-report-and-interaction
  title: Report Generation And Deep Interaction
  file: 03-phases/05-report-and-interaction.md
  status: INCLUDED_NEEDS_PROOF
context:
  phase_index: 03-phases/phase-index.yaml
  phase_flow: 03-phases/phase-flow.md
  active_phase: 03-phases/01-seed-ontology-workbench.md
  evaluation: 04-evaluation.md
  evidence_schema: 05-evidence/evidence-ledger.schema.json
generated_artifacts:
  agent_prompt: generated/agent-prompt.md
name: ai-swarm-simulator
